PHP Manual
Prev |  | Next

# pcntl_alarm

(PHP 4 >= 4.3.0, PHP 5)

pcntl_alarm -- Set an alarm clock for delivery of a signal

## Description

int pcntl_alarm ( int seconds )

Creates a timer that will send a `SIGALRM` signal to the process after the given number of seconds. Any call to pcntl_alarm() will cancel any previously set alarm.

## Parameters

`seconds`

  The number of seconds to wait. If `seconds` is zero, no new alarm is created.

## Return Values

Returns the time in seconds that any previously scheduled alarm had remaining before it was to be delivered, or `0` if there was no previously scheduled alarm.

Prev | Home | Next
Process Control Functions | Up | pcntl_exec